summaryrefslogtreecommitdiffstats
path: root/system/mksh/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'system/mksh/doinst.sh')
-rw-r--r--system/mksh/doinst.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/system/mksh/doinst.sh b/system/mksh/doinst.sh
index ebbd502e4b..b5e1deca03 100644
--- a/system/mksh/doinst.sh
+++ b/system/mksh/doinst.sh
@@ -1,15 +1,15 @@
-if ! grep -q '/bin/mksh' etc/shells ; then
+if ! grep -q '/bin/mksh' etc/shells; then
echo "/bin/mksh" >> etc/shells
fi
+
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
- # If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
rm $NEW
fi
- # Otherwise, we leave the .new copy for the admin to consider...
}
+
config etc/skel/.mkshrc.new